Ada Reference Manual (Ada 2022) — Legal Information

# A.4.6 String-Handling Sets and Mappings

1
The language-defined package Strings.Maps.Constants declares Character_Set and Character_Mapping constants corresponding to classification and conversion functions in package Characters.Handling.

#### Static Semantics

2
The library package Strings.Maps.Constants has the following declaration:
3/5
package Ada.Strings.Maps.Constants
with Pure is
4
Control_Set : constant Character_Set;
Graphic_Set : constant Character_Set;
Letter_Set : constant Character_Set;
Lower_Set : constant Character_Set;
Upper_Set : constant Character_Set;
Basic_Set : constant Character_Set;
Decimal_Digit_Set : constant Character_Set;
Hexadecimal_Digit_Set : constant Character_Set;
Alphanumeric_Set : constant Character_Set;
Special_Set : constant Character_Set;
ISO_646_Set : constant Character_Set;
5
Lower_Case_Map : constant Character_Mapping;
--Maps to lower case for letters, else identity
Upper_Case_Map : constant Character_Mapping;
--Maps to upper case for letters, else identity
Basic_Map : constant Character_Mapping;
--Maps to basic letter for letters, else identity
6
private
... -- not specified by the language
end Ada.Strings.Maps.Constants;
7
Each of these constants represents a correspondingly named set of characters or character mapping in Characters.Handling (see A.3.2).
8/5
NOTE There are certain characters which are defined to be lower case letters by ISO/IEC 10646 and are therefore allowed in identifiers, but are not considered lower case letters by Ada.Strings.Maps.Constants.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe